Subject: Re: [Patch][RFC] Disabling per-tgid stats on task exit in taskstats

From: Jay Lan <[email-masked]>
Date: Wed, 05 Jul 2006 10:20:14 -0700

Shailabh Nagar wrote:

> Yes. If no one registers to listen on a particular CPU, data from tasks
> exiting on that cpu is not sent out at all.

Shailabh also wrote:

> During task exit, kernel goes through each registered listener (small 
> list) and decides which
> one needs to get this exit data and calls a genetlink_unicast to each 
> one that does need it.

Are we eliminating multicast taskstats data at exit time? A unicast
exit data with cpumask will do for me, but just like to be sure where
we are.

Thanks,
 - jay